%global _empty_manifest_terminate_build 0
Name:           python-rsa
Version:        4.9
Release:        1
Summary:        Pure-Python RSA implementation
License:        Apache-2.0
URL:            https://stuvel.eu/rsa
Source0:        https://files.pythonhosted.org/packages/aa/65/7d973b89c4d2351d7fb232c2e452547ddfa243e93131e7cfa766da627b52/rsa-%{version}.tar.gz
BuildArch:      noarch
%description
Python-RSA is a pure-Python RSA implementation. It supports
encryption and decryption, signing and verifying signatures,
and key generation according to PKCS#1 version 1.5.

%package -n python3-rsa
Summary:        Pure-Python RSA implementation
Provides:       python-rsa
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
# General requires
BuildRequires:  python3-pyasn1
# General requires
Requires:       python3-pyasn1
%description -n python3-rsa
Python-RSA is a pure-Python RSA implementation. It supports
encryption and decryption, signing and verifying signatures,
and key generation according to PKCS#1 version 1.5.

%package help
Summary:        Pure-Python RSA implementation
Provides:       python3-rsa-doc
%description help
Python-RSA is a pure-Python RSA implementation. It supports
encryption and decryption, signing and verifying signatures,
and key generation according to PKCS#1 version 1.5.

%prep
%autosetup -n rsa-%{version}

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%check
%{__python3} setup.py test

%files -n python3-rsa -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Wed Aug 03 2022 kkz <zhaoshuag@uniontech.com> - 4.9-1
- Upgrade package python3-rsa to version 4.9

* Tue May 31 2022 OpenStack_SIG <openstack@openeuler.org> - 4.8-1
- Upgrade package python3-rsa to version 4.8

* Mon Aug 09 2021 OpenStack_SIG <openstack@openeuler.org> - 4.7.2-1
- Package update to 4.7.2

* Tue Dec 15 2020 yanglongkang <yanglongkang@huawei.com> - 3.4.2-14
- fix CVE-2020-25658

* Fri Oct 30 2020 yanglongkang <yanglongkang@huawei.com> - 3.4.2-13
- remove python2 dependency

* Tue Aug 4 2020 yanglongkang <yanglongkang@huawei.com> - 3.4.2-12
- fix CVE-2020-13757

* Mon Feb 10 2020 Ruijun Ge <geruijun@huawei.com> - 3.4.2-11
- package init

